import { Http,Util } from '@/utils';
import Test_buttonUILogicBase from './test-button-ui-logic-base';

/**
 * 测试按钮逻辑
 *
 * @export
 * @class Test_buttonUILogic
 */
export default class Test_buttonUILogic extends Test_buttonUILogicBase {

    /**
     * 测试按钮逻辑 逻辑实例对象
     *
     * @private
     * @static
     * @type {Test_buttonUILogic}
     * @memberof Test_buttonUILogic
     */
    private static instance: Test_buttonUILogic;

    /**
     * 获取 测试按钮逻辑 逻辑实例对象
     *
     * @static
     * @return {*}  {Test_buttonUILogic}
     * @memberof Test_buttonUILogic
     */
    static getInstance(): Test_buttonUILogic {
        if (!this.instance) {
            this.instance = new Test_buttonUILogic();
        }
        return this.instance;
    }

    /**
     * Creates an instance of  Test_buttonUILogic
     * 
     * @param {*} [opts={}]
     * @memberof  Test_buttonUILogic
     */
    constructor(opts: any = {}) {
        super(opts);
    }

}